> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udgrid.md).

# New-UDGrid

### Sinopsis

La cuadrícula es un sistema de cuadrícula de 12 puntos que puede adaptarse en función del tamaño de la pantalla que muestra los controles.

### Sintaxis

```powershell
New-UDGrid [-Id <String>] [-ExtraSmallSize <Int32>] [-SmallSize <Int32>] [-MediumSize <Int32>] [-LargeSize <Int32>] [-ExtraLargeSize <Int32>] [-Item] [-Children <ScriptBlock>] [-ClassName <String>] [-Direction <String>] [-RowSpacing <Object>] [-ColumnSpacing <Object>] [-JustifyContent <String>] [-AlignItems <String>] [-Version <String>] [-Style <Hashtable>] [<CommonParameters>]

    New-UDGrid [-Id <String>] [-Container] [-Spacing <Int32>] [-Children <ScriptBlock>] [-ClassName <String>] [-Direction <String>] [-RowSpacing <Object>] [-ColumnSpacing <Object>] [-JustifyContent <String>] [-AlignItems <String>] [-Version <String>] [-Style <Hashtable>] [<CommonParameters>]
```

### Descripción

Crea una cuadrícula para disponer componentes. La cuadrícula es un sistema de cuadrícula de 12 puntos que puede adaptarse en función del tamaño de la pantalla que muestra los controles.

### Parámetros

#### -Id

El ID del componente. Por defecto, es un GUID aleatorio.

```
Required?                    false
Position?                    named
Default value                [Guid]::NewGuid().ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraSmallSize

El tamaño (1-12) para dispositivos extrapequeños.

```
Required?                    false
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -SmallSize

El tamaño (1-12) para dispositivos pequeños.

```
Required?                    false
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -MediumSize

El tamaño (1-12) para dispositivos medianos.

```
Required?                    false
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LargeSize

El tamaño (1-12) para dispositivos grandes.

```
Required?                    false
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraLargeSize

El tamaño (1-12) para dispositivos extragrandes.

```
Required?                    false
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Container [<SwitchParameter>]
        Whether this is a container. A container can be best described as a row.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Spacing

Espaciado entre los elementos.

```
Required?                    false
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Item [<SwitchParameter>]
        Whether this is an item in a container.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Componentes incluidos en este elemento de la cuadrícula.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Una clase CSS que aplicar a la cuadrícula.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Direction

La dirección de la cuadrícula. Puede ser row, column, row-reverse o column-reverse.

```
Required?                    false
Position?                    named
Default value                row
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -RowSpacing El espaciado entre las filas.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ColumnSpacing El espaciado entre las columnas.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-JustifyContentLa alineación de los elementos de la cuadrícula a lo largo del eje principal. Puede ser flex-start, flex-end, center, space-between, space-around o space-evenly.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-AlignItemsLa alineación de los elementos de la cuadrícula a lo largo del eje transversal. Puede ser flex-start, flex-end, center, baseline o stretch.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-VersionRequired?                    falsePosition?                    namedDefault value                1Accept pipeline input?       falseAliasesAccept wildcard characters?  false-StyleRequired?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Salidas--------------------------> EJEMPLO 1 --------------------------PS >New-UDGrid -Container -Children {PS >     New-UDGrid -Item -ExtraSmallSize 4 -Children {PS >        New-UDCard -Title "Card 1" -Content {PS >            New-UDButton -Text "Button 1"PS >        }PS >    }PS >     New-UDGrid -Item -ExtraSmallSize 4 -Children {PS >        New-UDCard -Title "Card 1" -Content {PS >            New-UDButton -Text "Button 2"PS >        }PS >    }PS >     New-UDGrid -Item -ExtraSmallSize 4 -Children {PS >        New-UDCard -Title "Card 1" -Content {PS >            New-UDButton -Text "Button 3"PS >        }PS >    }PS > } -Id "grid1"Basic grid|A basic grid with 3 cards in a row\.-------------------------- EXAMPLE 2 --------------------------PS >New-UDGrid -Container -Children {PS >     New-UDGrid -Item -ExtraSmallSize 12 -LargeSize 4 -Children {PS >        New-UDCard -Title "Card 1" -Content {PS >            New-UDButton -Text "Button 1"PS >        }PS >    }PS >     New-UDGrid -Item -ExtraSmallSize 12 -LargeSize 4  -Children {PS >        New-UDCard -Title "Card 1" -Content {PS >            New-UDButton -Text "Button 2"PS >        }PS >    }PS >     New-UDGrid -Item -ExtraSmallSize 12 -LargeSize 4 -Children {PS >        New-UDCard -Title "Card 1" -Content {PS >            New-UDButton -Text "Button 3"PS >        }PS >    }PS > } -Id "grid2"Responsive Grid|A responsive grid with 3 cards in a row. The cards will stack on small device screens.-------------------------- EXAMPLE 3 --------------------------PS >New-UDDynamic -Id 'grid4' -Content {PS >    $Spacing = (Get-UDElement -Id 'gridSpacingSelect').valuePS >    New-UDGrid -Container -Children {PS >      New-UDGrid -Item -ExtraSmallSize 12 -LargeSize 4 -Children {PS >        New-UDCard -Title "Card 1" -Content {PS >            New-UDButton -Text "Button 1"PS >        }PS >    }PS >     New-UDGrid -Item -ExtraSmallSize 12 -LargeSize 4  -Children {PS >        New-UDCard -Title "Card 1" -Content {PS >            New-UDButton -Text "Button 2"PS >        }PS >    }PS >    New-UDGrid -Item -ExtraSmallSize 12 -LargeSize 4 -Children {PS >        New-UDCard -Title "Card 1" -Content {PS >            New-UDButton -Text "Button 3"PS >        }PS >    }PS >   } -Spacing $SpacingPS > }PS > New-UDSelect -Id 'gridSpacingSelect' -Label Spacing -Option {PS >   for ($i = 0; $i -lt 10; $i++) {PS >       New-UDSelectOption -Name $i -Value $iPS >   }PS >} -OnChange { Sync-UDElement -Id 'grid4' } -DefaultValue 3Grid Spacing|A responsive grid with 3 cards in a row. The spacing between the cards can be changed with the select box.-------------------------- EXAMPLE 4 --------------------------PS >New-UDRow -Columns {PS >     New-UDColumn -Size 4 -Content {PS >         New-UDCard -Title "Card 1" -Content {}PS >     }PS >     New-UDColumn -Size 4 -Content {PS >         New-UDCard -Title "Card 2" -Content {}PS >     }PS >     New-UDColumn -Size 4 -Content {PS >         New-UDCard -Title "Card 3" -Content {}PS >     }PS > } -Id 'grid5'Row and Columns|The row and column aliases can be used to create a grid.-------------------------- EXAMPLE 5 --------------------------PS >$Session:direction = 'row'PS > $Session:justifyContent = 'center'PS > $Session:alignItems = 'center'PS > New-UDSelect -Label 'direction' -Option {PS >     New-UDSelectOption -Name 'row'PS >     New-UDSelectOption -Name 'row-reverse'PS >     New-UDSelectOption -Name 'column'PS >     New-UDSelectOption -Name 'column-reverse'PS > } -DefaultValue 'row' -OnChange {PS >     $Session:direction = $EventDataPS >     Sync-UDElement -Id 'example'PS > }PS > New-UDSelect -Label 'justifyContent' -Option {PS >     New-UDSelectOption -Name 'flex-start'PS >     New-UDSelectOption -Name 'center'PS >     New-UDSelectOption -Name 'flex-end'PS >     New-UDSelectOption -Name 'space-between'PS >     New-UDSelectOption -Name 'space-around'PS >     New-UDSelectOption -Name 'space-evenly'PS > } -DefaultValue 'center' -OnChange {PS >     $Session:justifyContent = $EventDataPS >     Sync-UDElement -Id 'example'PS > }PS > New-UDSelect -Label 'alignItems' -Option {PS >     New-UDSelectOption -Name 'flex-start'PS >     New-UDSelectOption -Name 'center'PS >     New-UDSelectOption -Name 'flex-end'PS >     New-UDSelectOption -Name 'stretch'PS >     New-UDSelectOption -Name 'baseline'PS > } -DefaultValue 'center' -OnChange {PS >     $Session:alignItems = $EventDataPS >     Sync-UDElement -Id 'example'PS > }PS > New-UDDynamic -Id 'example' -Content {PS >     New-UDGrid -Container -Children {PS >         New-UDGrid -Item -Children {PS >             New-UDPaper -Children { "Cell 1" } -Style @{PS >                 backgroundColor = 'rgb(26, 32, 39)'PS >                 color           = 'white'PS >             }PS >         }PS >         New-UDGrid -Item -Children {PS >             New-UDPaper -Children { "Cell 2" } -Style @{PS >                 backgroundColor = 'rgb(26, 32, 39)'PS >                 color           = 'white'PS >             }PS >         }PS >         New-UDGrid -Item -Children {PS >             New-UDPaper -Children { "Cell 3" } -Style @{PS >                 backgroundColor = 'rgb(26, 32, 39)'PS >                 color           = 'white'PS >             }PS >         }PS >     } -Direction $Session:Direction -JustifyContent $Session:justifyContent -AlignItems $Session:alignItemsPS > }Alignment|The alignment of the grid items can be changed with the direction, justifyContent and alignItems parameters.\[Component("Grid", "Grid", "Creates a new card.")]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udgrid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
